<?php get_header(); ?>

	<div id="content" class="widecolumn">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft">&nbsp;</div>
			<div class="alignright">&nbsp;</div>
		</div>
<?php $attachment_link = get_the_attachment_link($post->ID, true, array(450, 800)); // This also populates the iconsize for the next line ?>
<?php $_post = &get_post($post->ID); $classname = ($_post->iconsize[0] <= 128 ? 'small' : '') . 'attachment'; // This lets us style narrow icons specially ?>
		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link:','kubrick') ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			<div class="entry">
				<p class="<?php echo $classname; ?>"><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>

				<?php the_content('<p class="serif">'.__('Read the rest of this entry &raquo;','kubrick').'</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages:','kubrick').'</strong> ', 'after' => '</p>', 'next_or_number' => __('number','kubrick'))); ?>

				<p class="postmetadata alt">
					<small>
						<?php
						/* This is commented, because it requires a little adjusting sometimes.
							You'll need to download this plugin, and follow the instructions:
							http://binarybonsai.com/archives/2004/08/17/time-since-plugin/ 
						.'%5$s ago'*/
						/*,time_since(abs(strtotime($post->post_date) - (60*120)))*/
						printf(__('This entry was posted on %1$s at %2$s and is filed under %3$s.','kubrick'),the_time('l, F jS, Y'),the_time(),the_category(', '));
						printf(__('You can follow any responses to this entry through the %s feed.','kubrick'),comments_rss_link('RSS 2.0'));

						if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open
							printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.','kubrick'),trackback_url());

						} elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open 
							printf(_e('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.','kubrick'),trackback_url());

						} elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not 
							_e('You can skip to the end and leave a response. Pinging is currently not allowed.','kubrick');

						} elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open 
							_e('Both comments and pings are currently closed.','kubrick');

						} edit_post_link(__('Edit this entry.','kubrick'),'',''); ?>

					</small>
				</p>

			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no attachments matched your criteria.','kubrick') ?></p>

<?php endif; ?>

	</div>

<?php get_footer(); ?>
